<div id="page-helminth" class="page" v-if="page=='helminth'" @contextmenu.prevent="helminthContextMenu">

    <div class="section-title">
        Subsumed Abilities
        <svg class="percent-circle" :style="'--percent:' + completion.helminth.percent +';'">
            <circle cx="15" cy="15" r="15"></circle>
            <circle cx="15" cy="15" r="15"></circle>
        </svg>
        <span>{{ completion.helminth.current }}/{{ completion.helminth.count }}</span>
    </div>
    <transition-group class="section list-group" data-cid="helminth" name="fade" id="collection-frame" tag="div" title="Right click for more information.">

        <div v-for="(item, name) in data.helminth" v-show="item.search.includes(searchString)" helminth-list-item :key="name" :data-iid="name" class="item helminth-item helminth-list-item" :state="progression.helminth[name]">
            <button :class="progression.helminth[name] | partStateFilter" @click.prevent="helminthClick" :style="{ backgroundImage: `url(../images/collection/${item.image})` }"></button>

            <div class="item-title">{{ item.name }}</div>
            <div class="item-description">{{ item.helminth.name }}</div>
        </div>
        
    </transition-group>

</div>